View Issue Details

IDProjectCategoryView StatusLast Update
0016887FPCFCLpublic2011-05-01 21:53
ReporterBrett Assigned ToJonas Maebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.4.3 
Fixed in Version2.4.2 
Summary0016887: shr -> shl typo in gzip "extra field" handling (gzio.pas)
DescriptionLine 454 of packages/paszlib/src/gzio.pas, in check_header():

len := len + (cardinal(get_byte(s)) shr 8);

shr should be shl. A byte shr 8 is obviously 0, so gzopen() will fail on a .gz file with an "extra field" size > 255 bytes (high byte in use).

Simple fix, change shr to shl (Official zlib C source is of course shift left also).
TagsNo tags attached.
Fixed in Revision16251
FPCOldBugId0
FPCTarget
Attached Files

Activities

Jonas Maebe

2010-07-09 22:11

manager   ~0039206

Thanks for the fix.

Issue History

Date Modified Username Field Change
2010-07-09 19:07 Brett New Issue
2010-07-09 22:11 Jonas Maebe Fixed in Revision => 15537
2010-07-09 22:11 Jonas Maebe Status new => resolved
2010-07-09 22:11 Jonas Maebe Fixed in Version => 2.5.1
2010-07-09 22:11 Jonas Maebe Resolution open => fixed
2010-07-09 22:11 Jonas Maebe Assigned To => Jonas Maebe
2010-07-09 22:11 Jonas Maebe Note Added: 0039206
2010-11-26 13:54 Jonas Maebe FPCOldBugId => 0
2010-11-26 13:54 Jonas Maebe Fixed in Revision 15537 => 16251
2010-11-26 13:54 Jonas Maebe Fixed in Version 2.5.1 => 2.4.2
2011-05-01 21:53 Marco van de Voort Status resolved => closed